Subject: Re: linux-next: Tree for Jan 20 -- Kernel panic - Unable to mount root fs

From: Paul Moore <[email-masked]>
Date: Tue, 20 Jan 2015 15:10:46 -0500

On Tuesday, January 20, 2015 05:43:01 PM Fabio Estevam wrote:
> On Tue, Jan 20, 2015 at 5:24 PM, Paul Moore <[email-masked]> wrote:
> > On Tuesday, January 20, 2015 05:16:45 PM Fabio Estevam wrote:
> >> On Tue, Jan 20, 2015 at 5:00 PM, Ross Zwisler
> >> 
> >> <[email-masked]> wrote:
> >> > These were just nuisance warnings, I believe, so my guess is that this
> >> > isn't related to your kernel panic.   Reverting Boaz's patches to make
> >> > these warnings go away would let you know for sure.
> >> 
> >> You are right. Reverting 937af5ecd0591e makes such warnings disappear.
> > 
> > You guys are much quicker compiling kernels than I am :)
> > 
> > Fabio, are you still seeing the same panic, just without the warnings?  Or
> > has the panic resolved itself as well?
> 
> Just to clarify: I was not getting the same panic Sabrina originally
> reported.
> 
> Reverting 937af5ecd0591e made the ram warnings go away.
> 
> On my case I am running linux-next 20150120 plus this fix:
> http://www.spinics.net/lists/arm-kernel/msg393205.html
> 
> and things seem to boot fine here on my ARM platform.

Okay, thanks for the clarification; glad you got it working.

-- 
paul moore
security @ redhat